function onBegin()
    waitUntilOnGround()
    if not getFlag("left_floor0") then
      disableMovement()
      setFlag("disable_movement", true)
      wait(0.5)
      say("Elekitu_dumber_bouncehelper_explanation")
      wait(1)
      say("Elekitu_dumber_bouncehelper_explanation_2")
    end
end

function onEnd()
    enableMovement()
    setFlag("disable_movement", false)
end